<?php
/**
 * pragmaMx - Usermap Module
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.1 $
 * $Author: tora60 $
 * $Date: 2014-03-24 16:49:33 $
 */

defined('mxMainFileLoaded') or die('access denied');

/**
 * pmxUsermap_admin
 *
 * @package
 * @author tora60
 * @copyright Copyright (c) 2011
 * @version $Id: admin.php,v 1.1 2014-03-24 16:49:33 tora60 Exp $
 * @access public
 */
class pmxUsermap_admin {
    protected $op = '';

    protected $_messages = array();
    protected $_errors = array();

    protected $_template;
    protected $_is_admin = false;
    /**
     * pmxUsermap_admin::__construct()
     */
    public function __construct($op)
    {
        $this->_module_name = basename(dirname(__DIR__));
        mxGetLangfile($this->_module_name);


        /* Administratorgruppen die das Modul administrieren dürfen */
        $this->_is_admin = false;
        switch (true) {
            case MX_IS_SYSADMIN:
                $this->_is_admin = true;
                break;

//            case MX_IS_ADMIN:
//                foreach ($this->_config['adminaccess'] as $radmin) {
//                    if (mxGetAdminPref($radmin)) {
//                        $this->_is_admin = true;
//                        break;
//                    }
//                }
        }

        /* Template initialisieren */
        $this->_template = load_class('Template');
        $this->_template->init_path(__FILE__);
        #$this->_template->assign($this->_config);
        #$this->_template->assign('parent', $this);
        $this->_template->assign('is_admin', $this->_is_admin);
        $this->_template->assign('module_name', $this->_module_name);

        if (!$this->_is_admin) {
            return mxRedirect('modules.php?name=' . $this->_module_name, _GROUPRESTRICTEDAREA);
        }

        $this->op = $op;
        switch ($this->op) {

            case $this->_module_name . '/setup':
                return $this->setup();

            default:
              $out = 'nothing to do here...';
              return $this->adminpage($out);
        }
    }

    /**
     * pmxUsermap_admin::setup()
     *
     * @return
     */
    public function setup()
    {
        require_once(__DIR__ . DS . 'setup.php');
        ob_start();
        $tmp = new pmxUsermap_setup();
        $tmp = null;

        $out = ob_get_clean();
        return $this->adminpage($out);
    }

    /**
     * pmxUsermap_admin::adminpage()
     *
     * @param mixed $content
     * @return
     */
    public function adminpage($content)
    {
        /* rechte Blöcke anzeigen */
        // $index = $this->right_blocks;
       # pmxHeader::add_style(PMX_MODULES_PATH . $this->_module_name . '/style/style.css');
        // TODO: !!!!!!!!!!!!!!!
       # $GLOBALS['pagetitle'] = $this->modtitle;

        $this->_template->assign('op', $this->op);
        $this->_template->assign('content', $content);
        $this->_template->assign('messages', $this->_messages);
        $this->_template->assign('errors', $this->_errors);
        $this->_template->assign('modtitle', 'Usermap');

        include_once('header.php');
        $this->_template->display('adminpage.html');
        include_once('footer.php');
    }
}

$tmp = new pmxUsermap_admin($op);
$tmp = null;

?>