<?php
/**
 * pragmaMx - Usermap Module
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.1 $
 * $Author: tora60 $
 * $Date: 2014-03-24 16:49:33 $
 */

defined('mxMainFileLoaded') or die('access denied');

/**
 * pmxUsermap_setup
 *
 * @package
 * @author tora60
 * @copyright Copyright (c) 2009
 * @version $Id: setup.php,v 1.1 2014-03-24 16:49:33 tora60 Exp $
 * @access public extends pmxUsermap_admin
 */
class pmxUsermap_setup {
    /**
     * pmxUsermap_setup::__construct()
     */
    public function __construct()
    {

        $step = (empty($_POST['step'])) ? 0 : $_POST['step'];
        switch (true) {
            case !mxGetadminPref('radminsuper'):
                return mxRedirect('./', _REC_ADMINLOGINERROR, 5);
                break;
            case $step == 1:
                $this->step_1();
                break;
            case $step == 2;
                $this->step_2();
                break;
            default:
                $this->step_0();
                break;
        }
    }

    /**
     * pmxUsermap_setup::step_0()
     *
     * @return
     */
    private function step_0 ()
    {

        ?>
        <h2><?php echo _UMAP_SETUP_STEP1CAPTION ?></h2>
        <p><?php echo _UMAP_SETUP_STEP1DESC ?></p>
        <form method="post" action="<?php echo adminUrl(PMX_MODULE, 'setup') ?>" class="align-center">
        <input type="hidden" name="step" value="1" />
        <input type="submit" value="<?php echo _UMAP_SETUP_CONTINUE ?>" />
        </form>
        <?php
    }

    /**
     * pmxUsermap_setup::step_1()
     *
     * @return
     */
    private function step_1 ()
    {
        /* Die benötigten Dateien includen: */
        if (!file_exists(PMX_SYSTEM_DIR . DS . 'mx_install.php')) {
            mxErrorScreen('Install library is missing! <br /><i>' . PMX_SYSTEM_DIR . DS . 'mx_install.php</i>');
            exit;
        }
        include_once(PMX_SYSTEM_DIR . DS . 'mx_install.php');

        @ini_set('max_execution_time', 0); // Wir benötigen Zeit:
        $tables = setupGetTables();

        ob_start();
        $prefix = $GLOBALS['prefix'];
        $user_prefix = $GLOBALS['user_prefix'];
        defined('PMXUSERMAPSETUP') OR define('PMXUSERMAPSETUP', true);
        include(dirname(__DIR__) . DS . 'core' . DS . 'install.tabledef.php');
        $messages = ob_get_clean();

        $qrys = false;
        if ($messages && preg_match_all('#<li>.+</li>#isU', $messages, $matches)) {
            $qrys = $matches[0];
            $messages = str_replace($matches[0], '', $messages);
        }

        $errors = false;
        if ($messages && preg_match_all('#descr:(<b>.+</b>\s*\(\s*mysql\s*[0-9]+\s*\))#isU', $messages, $matches)) {
            $errors = $matches[1];
        }

        ?>
        <h2><?php echo _UMAP_SETUP_STEP2CAPTION ?></h2>
        <p><?php echo _UMAP_SETUP_STEP2DESC ?></p>
        <?php
        if (is_array($qrys)) {

            ?><p><?php echo _UMAP_SETUP_STEP2MSG1 ?>:</p>
            <ul class="tiny"><?php echo implode('', $qrys) ?></ul>
            <?php
        } else {

            ?><p class="note"><?php echo _UMAP_SETUP_STEP2MSG2 ?></p><?php
        }
        if (is_array($errors)) {

            ?><p><?php echo _UMAP_SETUP_STEP2MSG3 ?>:</p>
            <ul class="tiny"><li><?php echo implode('</li><li>', $errors) ?></li></ul>
            <?php
        }

        ?><br /><br />
        <form method="post" action="<?php echo adminUrl(PMX_MODULE, 'setup') ?>" class="align-center">
        <input type="hidden" name="step" value="2" />
        <input type="submit" value="<?php echo _UMAP_SETUP_CONTINUE ?>" />
        </form>
        <?php
    }

    /**
     * pmxUsermap_setup::step_2()
     *
     * @return
     */
    private function step_2 ()
    {
        #return mxRedirect(adminUrl(PMX_MODULE));
        return mxRedirect('modules.php?name=' . PMX_MODULE);
    }
}

?>