<?php
/**
 * pragmaMx - Usermap Module
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.1 $
 * $Author: tora60 $
 * $Date: 2014-03-24 16:49:34 $
 */

defined('mxMainFileLoaded') or die('access denied');

/* 
 * Setup für pragmaMx 1.12.3
 */


defined('PMX_MODULE') or define('PMX_MODULE', basename(__DIR__));

/* check ob die verwendete pragmaMx Version korrekt ist */
if (!MX_IS_ADMIN || version_compare(PMX_VERSION, '2.0', '>=')) {
    return mxRedirect('modules.php?name=' . PMX_MODULE);
}

if (!function_exists('adminUrl')) {
    /* Dummy für pragmaMx 2.0 Funktion, die im template verwendet wird */
    function adminUrl($dummy, $dummy2='') {
        $module_name = PMX_MODULE;
        return "modules.php?name={$module_name}&amp;file=setup";
    }
}

/**
 * pmxUsermap
 *
 * @package
 * @author tora60
 * @copyright Copyright (c) 2014
 * @version $Id: setup.php,v 1.1 2014-03-24 16:49:34 tora60 Exp $
 * @access public
 */
class pmxUsermap {

    /**
     * pmxUsermap::__construct()
     */
    public function __construct()
    {

        mxGetLangfile(PMX_MODULE);

        require_once(__DIR__ . '/admin/setup.php');
        ob_start();
        $tmp = new pmxUsermap_setup();
        $tmp = null;

        $content = ob_get_clean();

        /* Template initialisieren */
        $template = load_class('Template');
        $template->init_path(__FILE__);

        $template->assign('is_admin', mxGetadminPref('radminsuper'));
        $template->assign('module_name', PMX_MODULE);
        $template->assign('op', '');
        $template->assign('content', $content);
        $template->assign('messages', array()); // dummy
        $template->assign('errors', array()); // dummy
        $template->assign('modtitle', 'Usermap');

        include_once('header.php');
        $template->display('adminpage.html');
        include_once('footer.php');
    }


}

$tmp = new pmxUsermap();
$tmp = null;



?>